<?php

// Lance une session et configure le setup
session_start();
setup(1);

// Extrait les articles
function articles_extract() {
	global $set;
	global $art;
	global $pos;
	
	// Gestion des couleurs du tableau
	$colors = array("light", "dark");
	$c = 0;
	
	echo "
		<table>
		<th colspan=\"4\" style=\"width:20%;\">Menu</th><th style=\"width:45%;\">Titre de l'article</th><th style=\"width:20%;\">Auteur</th><th colspan=\"3\" style=\"width:15%;\">-</th>
	";
	
	// Vrifie qu'il existe au moins un article
	if(isset($art)) {
	
		// Passe en revue les positions
		foreach($pos as $pos_pos => $pos_art) {
		
			// Vrifie l'existance des articles
			if(array_key_exists($pos_art, $art)) {
			
				$next = $pos_pos;
				$next++;
				
				echo "
					<tr class=\"". $colors[$c] ."\">
					<td style=\"width:5%;\">
				";
				
				// Gre l'affichage de la flche pour monter
				if($pos_pos != 0) echo "<a href=\"./index.php?dir=articles&mod=positions&action=more&id=". $pos_pos ."&z". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Monter l\'article d\'une position.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/arrow_top.png\" /></a>";
				else echo "<img src=\"./system/structure/pictures/arrow_top_lock.png\" />";
				
				echo "
					</td>
					<td style=\"width:5%;\">
				";
				
				// Gre l'affichage de la flche pour descendre
				if(isset($pos[$next])) echo "<a href=\"./index.php?dir=articles&mod=positions&action=less&id=". $pos_pos ."&z=". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Descendre l\'article d\'une position.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/arrow_bottom.png\" /></a>";
				else echo "<img src=\"./system/structure/pictures/arrow_bottom_lock.png\" />";
				
				echo "
					</td>
					<td style=\"width:5%;\">
				";
				
				// Gre l'affichage du target de l'article
				if($art[$pos_art]["blank"] == 0) echo "<a href=\"./index.php?dir=articles&mod=blank&action=yes&id=". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Ouvrir le lien du menu dans une nouvelle fentre.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/two.png\" /><a>";
				else echo "<a href=\"./index.php?dir=articles&mod=blank&action=no&id=". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Ouvrir le lien du menu dans la fentre courante.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/one.png\" /><a>";
				
				echo "
					</td>
					<td style=\"width:5%;\">
				";
				
				// Gre l'affichage de l'tat de l'article dans le menu
				if($art[$pos_art]["menu"] == 0) echo "<a href=\"./index.php?dir=articles&mod=menu&action=yes&id=". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Affiche l\'article dans le menu.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/red.png\" /><a>";
				else echo "<a href=\"./index.php?dir=articles&mod=menu&action=no&id=". $pos_art ."&sid=". session_id() ."\" onMouseOver=\"open_help('Cacher l\'article du menu.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/green.png\" /><a>";
				
				echo "
					</td>
					<td>
					<strong><a href=\"./index.php?dir=articles&mod=edit&id=". $pos_art ."&sid=". session_id() ."\">". $art[$pos_art]["title"] ."</a></strong> <small>". $pos_art ."</small>
				";
				
				echo "
					</td>
					<td>". $art[$pos_art]["author"] ."</td>
					<td><a href=\"./index.php?dir=articles&mod=add&id=". $pos_pos ."&sid=". session_id() ."\" onMouseOver=\"open_help('Ajouter un nouvel article sous l\'article actuel.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/add.png\" /></a></td>
					<td><a href=\"./index.php?z=". $pos_art ."\" target=\"_blank\" onMouseOver=\"open_help('Prvisualiser l\'article.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/preview.png\" /></a></td>
					<td>
				";
				
				// Gre les attributs
				if($pos_art != $set["index"]["value"] && $pos_art != $set["bloc"]["value"]) echo "<a href=\"./index.php?dir=articles&mod=delet&id=". $pos_art ."&sid=". session_id() ."\" onClick=\"return confirm('tes vous certain de vouloir supprimer dfinitivement cet article ?!');\" onMouseOver=\"open_help('Supprimer l\'article.');\" onMouseOut=\"close_help();\"><img src=\"./system/structure/pictures/delet.png\" /></a>";
				else echo "<img src=\"./system/structure/pictures/delet_lock.png\" />";
				
				echo "
					</td>
					</tr>
				";
				
				// Gestion des couleurs du tableau
				$c++; if($c > 1) $c=0;
				
			}
			
		}
		
	}
	
	echo "</table>";
	
}

require("./system/structure/top.php");
panel();

?>

<form method="post" name="form_edit" action="./index.php?dir=articles&mod=positions&sid=<?php echo session_id(); ?>">
	
	<?php articles_extract(); ?>
	
</form>
	
<?php require("./system/structure/bottom.php"); ?>