<?php

// Liste les liens contenus dans le menu
function menu_extract() {
	global $art;
	global $pos;

	foreach($pos as $pos_pos => $pos_art) {
		if($art[$pos_art]["blank"] == 1) $blank = "target=\"_blank\"";
		if($art[$pos_art]["menu"] == 1) echo "<li><a href=\"./index.php?z=". $pos_art ."\" ". $blank .">". $art[$pos_art]["title"] ."</a></li>";
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
	<title><?php echo $set["title"]["value"]; ?></title>
	<meta name="description" content="<?php echo $set["description"]["value"]; ?>" />
	<meta name="keywords" content="<?php echo $set["keys"]["value"]; ?>" />
	<meta name="author" content="<?php echo $set["author"]["value"]; ?>" />
	<link title="style" type="text/css" rel="stylesheet" href="./templates/<?php echo $set["template"]["value"]; ?>/style.css" />
	<link rel="shortcut icon" href="./system/structure/pictures/favicon.ico" />
	<script type="text/javascript" src="./system/modules/articles/WYSIWYG/nicEdit.js"></script>
	<script type="text/javascript" src="./system/structure/scripts.js"></script>
	<!-- nicEdit -->
	<script type="text/javascript">
		bkLib.onDomLoaded(function() {new nicEditor({fullPanel : true}).panelInstance('content'); });
	</script>
</head>

<body>
	<!-- Forme du site -->
	<div id="site">
		
		<!-- Bannire -->
		<div id="top">
			<h1><?php echo $set["title"]["value"]; ?></h1>
			<h2><?php echo $set["subtitle"]["value"]; ?></h2>
		</div>
		
		<!-- Navigation -->
		<div id="right">
		
			<!-- Recherche -->
			<div class="search">
				<form method="get" name="form_search" action="./index.php">
					<input type="hidden" name="dir" value="search">
					<input type="hidden" name="mod" value="search">
					<input class="input" type="text" name="pattern" value="Rechercher..." onFocus="if(this.value == 'Rechercher...') {this.value=''}" onBlur="if(this.value == '') {this.value='Rechercher...'}" />
					<input class="ok" type="submit" value="OK" />
				</form>
			</div>
			
			<!-- Menu -->
			<div class="menu">
				<ul>
					<?php menu_extract(); ?>
				</ul>
			</div>
			
			<h2><?php echo $art[$set["bloc"]["value"]]["title"]; ?></h2>
			<?php echo $art[$set["bloc"]["value"]]["content"]; ?>
			
		</div>
		
		<!-- Contenu -->
		<div id="left">